#!/bin/sh

cat /dev/null > tests.log

. ./TestGscData.sh | tee -a tests.log
. ./TestInstance.sh | tee -a tests.log
. ./TestDatabase.sh | tee -a tests.log
. ./TestSqlTokenizer.sh | tee -a tests.log
. ./TestTable.sh | tee -a tests.log
. ./TestTable2.sh | tee -a tests.log
. ./TestTable3.sh | tee -a tests.log
. ./TestTable4.sh | tee -a tests.log

F=`grep -c Failure tests.log`;

if [ $F -gt 0 ]; then
  echo;
  echo "------------------------------------------------------------------";
  echo "!!!!! $F failure(s) occured. See tests.log for more details. !!!!!";
  echo "------------------------------------------------------------------";
else
  echo;
  echo "Congraturations!! All tests passed.";
  echo;
fi;
